Bug 1301010 - Tempest fails to discover keystone V3
Tempest fails to discover keystone V3
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest (Show other bugs)
8.0 (Liberty)
x86_64 Linux
unspecified Severity medium
: ga
: 8.0 (Liberty)
Assigned To: Arx Cruz
: Reopened, ZStream
Depends On:
  Show dependency treegraph
Reported: 2016-01-22 05:27 EST by Yariv
Modified: 2016-07-31 21:04 EDT (History)
8 users (show)

See Also:
Fixed In Version: openstack-tempest-liberty-20160413.1.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-05-04 10:41:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log outpot (400 bytes, text/plain)
2016-01-22 05:27 EST, Yariv
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Gerrithub.io 263169 None None None 2016-02-17 11:09 EST

  None (edit)
Description Yariv 2016-01-22 05:27:39 EST
Created attachment 1117144 [details]
log outpot

Description of problem:

Trying to run tempest to test liberty upstream manual install fails due to OS_AUTH_URL v3

Version-Release number of selected component (if applicable):

How reproducible:

At completion of liberty manual install, http://docs.openstack.org/liberty/install-guide-rdo/, use the admin OpenStack client environment scripts
export OS_AUTH_URL=http://controller:35357/v3

Run config_tempest.py

Steps to Reproduce:
1. Install upstream liberty rdo 
2. Set export OS_AUTH_URL=http://controller:35357/v3
4. Source 
5. Run the following:

python tools/config_tempest.py --debug --create --debug --image  http://download.cirros-cloud.net/0.3.4/cirros-0.3.4-x86_64-disk.img identity.uri $OS_AUTH_URL identity.admin_password $OS_PASSWORD --deployer-input /home/yrachman/os-client/Tempest_run/tempest/etc/deployer-input-liberty.conf  --network-id NET-ID 

Actual results:

INFO tempest_lib.common.rest_client [req-2810b839-b92a-429c-b867-f3751f7cddd5 ] Request (main): 404 POST http://controller:5000/v3/tokens
2016-01-22 12:16:50.023 31554 CRITICAL tempest [-] IdentityError: Got identity error

Expected result:

tempest should discover v3 token, and continue

Additional info:

Work around
Set the following env args:
export OS_AUTH_URL=http://controller:5000/v2.0
Comment 4 Jon Schlueter 2016-02-19 13:43:52 EST
Missing RPM
Comment 12 Arx Cruz 2016-04-25 10:16:19 EDT
Verified that it's working
Comment 14 errata-xmlrpc 2016-05-04 10:41:30 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.